Bug 630437 - (CVE-2010-3071) CVE-2010-3071 Bip: Remote Dos (crash) by exchanging user credentials
CVE-2010-3071 Bip: Remote Dos (crash) by exchanging user credentials
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100903,reported=20100903,sou...
: Security
Depends On: 630438
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-05 11:01 EDT by Jan Lieskovsky
Modified: 2011-05-31 15:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-31 15:13:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-09-05 11:01:43 EDT
A denial of service flaw was found in the way Bip IRC Bouncer
exchanged user credentials by initiating the IRC protocol session.
A remote, unauthenticated user could send a specially crafted
connection request, leading to bip daemon crash (NULL pointer dereference)

References:
  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595409
Comment 1 Jan Lieskovsky 2010-09-05 11:03:15 EDT
This issue affects the versions of the bip package, as shipped with
Fedora release of 12 and 13.

Please fix.
Comment 2 Jan Lieskovsky 2010-09-05 11:04:09 EDT
Created bip tracking bugs for this issue

Affects: fedora-all [bug 630438]
Comment 3 Jan Lieskovsky 2010-09-08 06:05:08 EDT
The CVE identifier of CVE-2010-3071 has been assigned to this issue.

Note You need to log in before you can comment on or make changes to this bug.